DROP VIEW V_KUPCIBELEZKE
;

CREATE OR REPLACE VIEW V_KUPCIBELEZKE AS (
SELECT KB.ID_KPBELEZKE, KB.IDKUPCA, KB.ID_SALDKONT, KB.DATUMKREIRANJA, KB.USERKREIRANJA, KB.BELEZKA, KB.VELJAVNA, KB.TYPE, KB.SUBTYPE,
KBT.OPIS AS BELEZKE_TYPE_OPIS, KBT.INTERNI_OPIS AS BELEZKE_TYPE_INTERNI_OPIS, KBS.OPIS AS BELEZKE_SUBTYPE_OPIS, KBS.INTERNI_OPIS AS BELEZKE_SUBTYPE_INTERNI_OPIS,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.MANAGER AS KUPCI_MANAGER, K.VRSTA AS KUPCI_VRSTA, K.NDRZAVA AS KUPCI_NDRZAVA, K.KODA_JEZIKA AS KUPCI_KODA_JEZIKA,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
S.N_RACUNA, NK.SLO AS SALDKONT_OPIS, NK.INTERNI_OPIS AS SALDKONT_INTERNI_OPIS
FROM KUPCIBELEZKE KB
LEFT OUTER JOIN NKUPCIBELEZKE_TYPE KBT ON KBT.ID = KB.TYPE
LEFT OUTER JOIN NKUPCIBELEZKE_SUBTYPE KBS ON KBS.ID = KB.SUBTYPE
LEFT OUTER JOIN KUPCI K ON K.ID = KB.IDKUPCA
LEFT OUTER JOIN SALDKONT S ON KB.ID_SALDKONT=S.ID_SALDKONT
LEFT OUTER JOIN NKNJIZBA NK ON S.VRSTA_RACUNA=NK.SALDKONT
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1698, SYSDATE, '5.5', 1618, 'Kupci beležke')
;