ALTER TABLE TRANSACTION_EXPORT
ADD MARK_EXPORTED_OPTION VARCHAR2(1 CHAR);

CREATE OR REPLACE VIEW V_TRANSACTION_EXPORT AS (
  SELECT T.ID_TRANSACTION_EXPORT, T.DESCRIPTION, T.INTERNAL_DESCRIPTION, T.TRANSACTION_TYPE, T.EXPORT_FORMAT, T.EXPORT_FILENAME, T.NNLOCATION_ID, T.USER_IDENTIFICATION_NUMBER, 
  T.TRANSACTION_RECORD_TYPE, T.EXCLUDE_NEGATIVE_TRANSACTIONS, T.EXCLUDE_CUST_POSITIVE_BALANCE, T.OWNER_BANK_ACCOUNT_DD, T.ACTIVE, T.EXPORT_SUBTYPE, T.DEFAULT_EXPORT, T.DATE_FILTER, T.MARK_EXPORTED_OPTION,
  TET.DESCRIPTION AS TRANSACTION_TYPE_DESCRIPTION, TEF.DESCRIPTION AS EXPORT_FORMAT_DESCRIPTION
	FROM TRANSACTION_EXPORT T
  LEFT OUTER JOIN TRANSACTION_EXPORT_TYPE TET ON TET.CODE = T.TRANSACTION_TYPE
  LEFT OUTER JOIN TRANSACTION_EXPORT_FORMAT TEF ON TEF.CODE = T.EXPORT_FORMAT
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1403, SYSDATE, '5.5', 1323, 'Transaction export')
;